%define _unpackaged_files_terminate_build 0
Name: CCfits
Version: 2.6
Release:    1%{?dist}
Summary: A C++ interface for cfitsio

License: CFITSIO
URL: http://heasarc.gsfc.nasa.gov/docs/software/fitsio/ccfits
Source0: http://heasarc.gsfc.nasa.gov/docs/software/fitsio/ccfits/%{name}-%{version}.tar.gz
Patch0: CCfits-removerpath.patch
Patch1: cfitsio-path.patch

BuildRequires: gcc-c++ cfitsio-devel
BuildRequires: make

%description
CCfits is an object oriented interface to the cfitsio library. It is designed 
to make the capabilities of cfitsio available to programmers working in C++. 
It is written in ANSI C++ and implemented using the C++ Standard Library 
with namespaces, exception handling, and member template functions.

%package devel
Summary: Headers for developing programs that will use %{name}
Requires: cfitsio-devel >= 3.280
Requires: %{name} = %{version}-%{release}
%description devel
These are the header files and libraries needed to develop a %{name} 
application.

%package doc
Summary: Documentation for %{name}, includes full API docs
BuildArch: noarch
 
%description doc
This package contains the full API documentation for %{name}.

%prep
%autosetup

%build
%configure --disable-static --with-cfitsio=%{_prefix} --with-cfitsio-include=%{_includedir}/cfitsio
make %{?_smp_mflags}

%install
make %{?_smp_mflags}  install DESTDIR=%{buildroot}
rm %{buildroot}/usr/bin/cookbook


%files
%license License.txt
%{_libdir}/*so.*

%files devel
%doc CHANGES 
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%files doc
%license License.txt 
%doc html

%changelog
* Fri Aug 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6-1
- initial build
